# KmlTourFlyTo

#### new Cesium.KmlTourFlyTo(duration, flyToMode, view)
DataSources/KmlTourFlyTo.js 19

Transitions the KmlTour to the next destination. This transition is facilitated using a specified flyToMode over a given number of seconds.

Name | Type | Description
--- | --- | ---
`duration` | Number | entry duration
`flyToMode` | String | KML fly to mode: bounce, smooth, etc
`view` | KmlCamera | KmlLookAt | KmlCamera or KmlLookAt

##### See:

- KmlTour
- KmlTourWait

### Methods

#### getCameraOptions(cameraOptions) → Object
DataSources/KmlTourFlyTo.js 76

Returns options for `Camera#flyTo` or `Camera#flyToBoundingSphere` depends on this.view type.

Name | Type | Description
--- | --- | ---
`cameraOptions` | Object | options to merge with generated. See `Camera#flyTo`

##### Returns:

`Camera#flyTo` or `Camera#flyToBoundingSphere` options

#### play(done, camera, cameraOptions)
DataSources/KmlTourFlyTo.js 37

Play this playlist entry

Name | Type | Description
--- | --- | ---
`done` | KmlTourFlyTo.DoneCallback | function which will be called when playback ends
`camera` | Camera | Cesium camera
`cameraOptions` | Object | optional which will be merged with camera flyTo options. See `Camera#flyTo`

#### stop()
DataSources/KmlTourFlyTo.js 60

Stop execution of curent entry. Cancel camera flyTo

### Type Definitions

#### Cesium.KmlTourFlyTo.DoneCallback(terminated)
DataSources/KmlTourFlyTo.js 102

A function that will be executed when the flight completes.

Name | Type | Description
--- | --- | ---
`terminated` | Boolean | true if `KmlTourFlyTo#stop` was called before entry done playback.